Subject: bug#51037: [PATCH] Make `print-level` & `print-length` customizable in ERT batch tests

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 13 Oct 2021 16:06:50 +0200

Michael <[email-masked]> writes:

> Only when comparing _results_. Say I have test code like:
>
>    (let ((a (<some complex list>)
>          (b (<another complex list>))))
>      ...
>      (should (equal a b))
>
> My changes would case the error message from the failed `should`
> invocation to print `a` & `b` more fully (i.e. with fewwer
> ellipses).

Ah, I see.

> The backtrace logic is separate, and un-touched by my patch as
> submitted (tho of course I can change that).

Perhaps it would be better if the same variables affected both result
printing and backtraces in the code that ert is testing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no